Bug 36317 - konq-nox segfaults after loading any page
konq-nox segfaults after loading any page
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: konq-nox (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-17 14:31 EDT by Matthew Miller
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 12:51:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback of crash (1.65 KB, text/plain)
2001-04-20 15:10 EDT, Matthew Miller
no flags Details

  None (edit)
Description Matthew Miller 2001-04-17 14:31:50 EDT
Summary pretty much sums it up -- konq-nox loads fine and everything, but
segfaults after loading a page. (Elements on the page start to appear, and
then, bam.)

Happens both on my Libretto with a chips & tech video card and on a Dell
Optiplex with an ati rage pro.
Comment 1 Bernhard Rosenkraenzer 2001-04-18 17:45:23 EDT
Can't reproduce it here on P3 with a Matrox G400 card. Do you have a backtrace?
Comment 2 Matthew Miller 2001-04-19 22:59:21 EDT
Odd. Works fine as root, but as a normal user, crashes with the normal konq-nox
script. However, if I change that script to 

  #!/bin/sh
  QTDIR=/usr/lib/qt-embedded-2.3.0
  KDEDIR=/usr/lib/kdenox
  KDEDIRS=/usr/lib/kdenox
  KDEHOME=/usr/lib/kdenox
  /usr/lib/kdenox/konq -qws $@ &>/dev/null

(All env variables set not on the konq command line)

it works fine.

With the normal script, or just

  #!/bin/sh
  QTDIR=/usr/lib/qt-embedded-2.3.0 KDEDIR=/usr/lib/kdenox
KDEDIRS=/usr/lib/kdenox KDEHOME=/usr/lib/kdenox /usr/lib/kdenox/konq -qws $@
&>/dev/null

I get segfault as soon as the page starts to load.

Comment 3 Matthew Miller 2001-04-20 15:06:04 EDT
Ah. Played around a little bit -- in the second case above, QTDIR
 and KDEDIR are already in the environment, and so get set. KDEDIRS and KDEHOME
were not. Duh. The problem turns out to be in setting KDEHOME -- leave it unset,
and no crash.


(Backtrace coming rsn.)
Comment 4 Matthew Miller 2001-04-20 15:10:27 EDT
Created attachment 15904 [details]
traceback of crash
Comment 5 David Lawrence 2003-05-16 12:51:07 EDT
Closing as WONTFIX due to end of life of the Power Tools product line. Please
open a new bug report under the Red Hat Linux product if the component is still
included in the base Red Hat distribution.

Note You need to log in before you can comment on or make changes to this bug.